Package org.eclipse.gef.graph

## Class Graph.Builder.Context

- java.lang.Object
- - org.eclipse.gef.graph.Graph.Builder.Context

Enclosing class:
  Graph.Builder

    protected class Graph.Builder.Context
    extends java.lang.Object

A context object passed to nested builders when creating a builder chain.

### Field Summary

Fields
`protected Graph.Builder` `builder` The `Graph.Builder` used to construct the `Graph`, i.e. the root of the builder chain.
`protected java.util.List<Edge.Builder>` `edgeBuilders` `Edge.Builder`s, which are part of the builder chain.
`protected java.util.Map<java.lang.Object,​Node.Builder>` `nodeBuilders` `Node.Builder`s, which are part of the builder chain, mapped to their keys.
`protected java.util.List<java.lang.Object>` `nodeKeys` Stores incoming node keys in order.
`protected java.util.Map<java.lang.Object,​Node.Builder>` `nodeKeyToBuilderMap` Stores node builders

### Constructor Summary

Constructors
`protected` `Context()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### builder

    protected Graph.Builder builder

The `Graph.Builder` used to construct the `Graph`, i.e. the root of the builder chain.

#### nodeBuilders

    protected java.util.Map<java.lang.Object,​Node.Builder> nodeBuilders

`Node.Builder`s, which are part of the builder chain, mapped to their keys.

#### edgeBuilders

    protected java.util.List<Edge.Builder> edgeBuilders

`Edge.Builder`s, which are part of the builder chain.

#### nodeKeys

    protected java.util.List<java.lang.Object> nodeKeys

Stores incoming node keys in order.

#### nodeKeyToBuilderMap

    protected java.util.Map<java.lang.Object,​Node.Builder> nodeKeyToBuilderMap

Stores node builders

### Constructor Detail

#### Context

    protected Context()